View Issue Details

IDProjectCategoryView StatusLast Update
0004113DraftBugpublic2021-02-21 03:46
ReporteropenBrain Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0004113: When Clone is used in Draft/Scale, the cloned part placement is always set to origin whatever is the reference point
DescriptionWhen Clone is used in Draft/Scale, the cloned part placement is always set to origin whatever is the reference point.
Forum thread (from this post)
Steps To ReproduceOn a new blank document, add a Part/Cube. Select it then in Draft WB, choose Scale. Enter or click a reference point different from 0,0,0 and validate. In next Task screen tick "Clone". Although the preview is correctly displayed, when the operation is validated the cloned part is placed back to origin.
TagsDraft
FreeCAD Information

Activities

marioalexis

2021-02-08 15:30

reporter   ~0015312

Fix committed to master branch.

marioalexis

2021-02-21 03:25

reporter   ~0015401

This can be closed @Kunda1

Kunda1

2021-02-21 03:46

administrator   ~0015404

Closing

Related Changesets

FreeCAD: master 7c8c5892

2021-02-07 02:35:17

marioalexis

Details Diff
Draft: Correct the placement in scale_with_clone - fixes 0004113 Affected Issues
0004113
mod - src/Mod/Draft/draftguitools/gui_scale.py Diff File

FreeCAD: master 4e3a2699

2021-02-08 15:07:35

yorik


Committer: GitHub Details Diff
Merge pull request 0004386 from marioalexis84/draft-clone

Draft: Fixes 0004113: When Clone is used in Draft/Scale, the cloned part placement is always set to origin whatever is the reference point
Affected Issues
0004113
mod - src/Mod/Draft/draftguitools/gui_scale.py Diff File

Issue History

Date Modified Username Field Change
2019-09-03 15:14 openBrain New Issue
2019-09-03 15:14 openBrain Status new => assigned
2019-09-03 15:14 openBrain Assigned To => yorik
2019-09-03 15:14 openBrain Tag Attached: Draft
2021-02-06 06:29 abdullah Target Version => 0.20
2021-02-08 15:30 yorik Changeset attached => FreeCAD master 4e3a2699
2021-02-08 15:30 marioalexis Changeset attached => FreeCAD master 7c8c5892
2021-02-08 15:30 marioalexis Note Added: 0015312
2021-02-21 03:25 marioalexis Note Added: 0015401
2021-02-21 03:45 Kunda1 Product Version => 0.19
2021-02-21 03:45 Kunda1 Target Version 0.20 => 0.19
2021-02-21 03:46 Kunda1 Status assigned => closed
2021-02-21 03:46 Kunda1 Resolution open => fixed
2021-02-21 03:46 Kunda1 Fixed in Version => 0.19
2021-02-21 03:46 Kunda1 Note Added: 0015404